[Deprecated]: V2.0
get
/ec-designer-svc/rest/v2.0/studies/{studyId}/{mode}/forms
Deprecated: Use latest version instead. Retrieves the forms available in a study for the selected mode. The response includes each form's ID, reference name, title, and summary item details when item details are available. Use excludeItemType to omit instructional text items from the returned item summaries.
Request
Path Parameters
-
mode(required): string
Study mode used to return forms. Allowed values: test, training, active.Example:
test -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
excludeItemType: string
Optional form item type to exclude from returned item summaries.Allowed Values:
[ "instructionalText" ]Example:instructionalText
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormSummaryDto v2.0
Title:
FormSummaryDto v2.0Summary information for a study form returned by the V2.0 query forms API.
Nested Schema : FormSummaryDto v2.0
Type:
objectTitle:
FormSummaryDto v2.0Summary information for a study form returned by the V2.0 query forms API.
Show Source
-
id: string
(uuid)
Form ID. UUID, 32-character uppercase hexadecimal string.
-
items: array
items
Form item summaries.
-
refname: string
Reference name for the form.Example:
DEMOGRAPHICS -
title: string
Display title for the form.Example:
Demographics
Example:
{
"id":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"refname":"DEMOGRAPHICS",
"title":"Demographics",
"items":[
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}
]
}Nested Schema : items
Type:
arrayForm item summaries.
Show Source
-
Array of:
object FormItemSummaryDto v2.0
Title:
FormItemSummaryDto v2.0Summary information for a form item returned by the V2.0 query forms API.
Example:
[
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}
]Nested Schema : FormItemSummaryDto v2.0
Type:
objectTitle:
FormItemSummaryDto v2.0Summary information for a form item returned by the V2.0 query forms API.
Show Source
-
id: string
(uuid)
Form item ID. UUID, 32-character uppercase hexadecimal string.
-
questionLabel: string
Display label for the question.Example:
Age -
questionType: string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question type for the form item.Example:numeric -
refname: string
Reference name for the form item.Example:
AGE -
subItemIds: string
(uuid)
Title:
Sub item idsIDs of sub-items for a question group. Each ID is a UUID, 32-character uppercase hexadecimal string.
Example:
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}